WSDL::BindingMessageBodyDescription Class Reference

describes the message body for a SOAP operational binding message description More...

## Public Attributes

bool | encoded
| required attribute More...
*string | encodingStyle
| when encoded True, this is used to produce a concrete message by applying the specified encoding
*string | ns
| namespace; "only applies to content not explicitly defined by the abstract types"
*list< auto > | parts
| indicates which parts appear somewhere within the SOAP Body portion of the message

## Detailed Description

describes the message body for a SOAP operational binding message description

See also
  https://www.w3.org/TR/wsdl#_soap:body

## Member Data Documentation

## encoded

bool WSDL::BindingMessageBodyDescription::encoded

required attribute

if True, then use = `"encoded"` (each message part references an abstract type using the `type` attribute), otherwise use = `"literal"` (each part references a concrete schema definition using either the `element` or `type` attribute)